#include "testlib.h"
#include <iostream>
#include <set>

using namespace std;

const long long inff = 1000000000;

vector<char> s;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n;
	int msk;
	sscanf(argv[1], "%lld", &n);
	sscanf(argv[2], "%lld", &msk);
	cout << n << endl;

	if (msk & 1) {
		s.push_back('L');
	}
	if (msk & 2) {
		s.push_back('U');
	}
	if (msk & 4) {
		s.push_back('R');
	}
	if (msk & 8) {
		s.push_back('D');
	}

	int curx = 0;
	int cury = 0;

	int m = rnd.next(0, n);

	for (int i = 0; i < n; i++) {
		int c = rnd.next(0, (int)s.size() - 1);
		cout << s[c];
		if (i >= m) {
			continue;
		}
		if (s[c] == 'L') {
			curx--;
		}
		else if (s[c] == 'U') {
			cury++;
		}
		else if (s[c] == 'R') {
			curx++;
		}
		else {
			cury--;
		}
	}

	cout << endl;

	int k = rnd.next(0, 2);
	if (k == 0) {
		cout << 0 << ' ' << 0 << endl;
	}
	else if (k == 1) {
		cout << 0 << ' ' << cury << endl;
	}
	else if (k == 2) {
		cout << curx << ' ' << 0 << endl;
	}
	return 0;
}
