/*AMETHYSTS*/
#pragma comment(linker, "/STACK:1000000000")
#include <cstdio>
#include <iostream>
#include <ctime>
#include <string>
#include <vector>
#include <cmath>
#include <algorithm>
#include <cstring>
#include <set>
#include <cstdlib>
#include <ctime>
#include <cassert>
#include <bitset>
#include <deque>
#include <stack>
#include <climits>
#include <string>
#include <queue>
#include <memory.h>
#include <map>
#include <unordered_map>

#define ll long long
#define ld long double
#define pii pair <ll, ll>
#define mp make_pair

using namespace std;

const int maxn = (int)1e6 + 10;
const ll mod = (ll)1e9 + 7;
const ll inf = (ll)1e9 + 7;

int n, x, y, u, d, l, r;
string s;

int main() {

	cin >> n >> s >> x >> y;
	
	int curx = 0;
	int cury = 0;

	l = r = d = u = -1;

	if (curx == x) {
		l = 0;
		r = 0;
	}

	if (cury == y) {
		u = 0;
		d = 0;
	}

	for (int i = 0; i < n; i++) {
		int tmp = curx;
		for (int j = i; j < n; j++) {
			if (tmp == x) {
				r = j;
				break;
			}
			if (s[j] == 'R') {
				tmp++;
			}
			if (tmp == x) {
				r = j + 1;
				break;
			}
		}
		if (tmp == x) {
			l = i;
			break;
		}
		else {
			r = -1;
		}
		tmp = curx;
		for (int j = i; j < n; j++) {
			if (tmp == x) {
				l = j;
				break;
			}
			if (s[j] == 'L') {
				tmp--;
			}
			if (tmp == x) {
				l = j + 1;
				break;
			}
		}
		if (tmp == x) {
			r = i;
			break;
		}
		else {
			l = -1;
		}
		if (s[i] == 'L') {
			curx--;
		}
		else if (s[i] == 'R') {
			curx++;
		}
	}
	if (l == -1 && curx == x) {
		l = r = n;
	}

	for (int i = 0; i < n; i++) {	
		int tmp = cury;
		for (int j = i; j < n; j++) {
			if (tmp == y) {
				u = j;
				break;
			}
			if (s[j] == 'U') {
				tmp++;
			}
			if (tmp == y) {
				u = j + 1;
				break;
			}
		}
		if (tmp == y) {
			d = i;
			break;
		}
		else {
			u = -1;
		}
		tmp = cury;
		for (int j = i; j < n; j++) {
			if (tmp == y) {
				d = j;
				break;
			}
			if (s[j] == 'D') {
				tmp--;
			}
			if (tmp == y) {
				d = j + 1;
			}
		}
		if (tmp == y) {
			u = i;
			break;
		}
		else {
			d = -1;
		}
		if (s[i] == 'U') {
			cury++;
		}
		else if (s[i] == 'D') {
			cury--;
		}
	}
	if (u == -1 && cury == y) {
		u = d = n;
	}

	if (l == -1 || r == -1 || d == -1 || u == -1) {
		cout << -1;
		return 0;
	}

	cout << l << ' ' << u << ' ' << r << ' ' << d;
	return 0;
}
