/*AMETHYSTS*/
#pragma comment(linker, "/STACK:1000000000")
#include <cstdio>
#include <iostream>
#include <ctime>
#include <string>
#include <vector>
#include <cmath>
#include <algorithm>
#include <cstring>
#include <set>
#include <cstdlib>
#include <ctime>
#include <cassert>
#include <bitset>
#include <deque>
#include <stack>
#include <climits>
#include <string>
#include <queue>
#include <memory.h>
#include <map>
#include <unordered_map>

#define ll long long
#define ld long double
#define pii pair <ll, ll>
#define mp make_pair

using namespace std;

const int maxn = (int)1e6 + 10;
const ll mod = (ll)1e9 + 7;
const ll inf = (ll)1e9 + 7;

int n, x, y, u, d, l, r, sl[maxn], sr[maxn], su[maxn], sd[maxn];
string s;

int main() {

	cin >> n >> s >> x >> y;
	
	int curx = 0;
	int cury = 0;

	l = r = d = u = -1;

	if (curx == x) {
		l = 0;
		r = 0;
	}

	if (cury == y) {
		u = 0;
		d = 0;
	}

	for (int i = n - 1; i >= 0; i--) {
		if (s[i] == 'L') {
			sl[i]++;
		}
		if (s[i] == 'R') {
			sr[i]++;
		}
		if (s[i] == 'U') {
			su[i]++;
		}
		if (s[i] == 'D') {
			sd[i]++;
		}
		sl[i] += sl[i + 1];
		sr[i] += sr[i + 1];
		su[i] += su[i + 1];
		sd[i] += sd[i + 1];
	}

	for (int i = 0; i < n; i++) {
		if (curx <= x && curx + sr[i] >= x) {
			l = i;
			for (int j = i; j < n; j++) {
				if (curx == x) {
					r = j;
					break;
				}
				if (s[j] == 'R') {
					curx++;
				}
				if (curx == x) {
					r = j + 1;
					break;
				}
			}
			break;
		}
		if (curx >= x && curx - sl[i] <= x) {
			r = i;
			for (int j = i; j < n; j++) {
				if (curx == x) {
					l = j;
					break;
				}
				if (s[j] == 'L') {
					curx--;
				}
				if (curx == x) {
					l = j + 1;
					break;
				}
			}
			break;
		}
		if (s[i] == 'L') {
			curx--;
		}
		else if (s[i] == 'R') {
			curx++;
		}
	}
	if (l == -1 && curx == x) {
		l = r = n;
	}

	for (int i = 0; i < n; i++) {
		if (cury <= y && cury + su[i] >= y) {
			d = i;
			for (int j = i; j < n; j++) {
				if (cury == y) {
					u = j;
					break;
				}
				if (s[j] == 'U') {
					cury++;
				}
				if (cury == y) {
					u = j + 1;
					break;
				}
			}
			break;
		}
		if (cury >= y && cury - sd[i] <= y) {
			u = i;
			for (int j = i; j < n; j++) {
				if (cury == y) {
					d = j;
					break;
				}
				if (s[j] == 'D') {
					cury--;
				}
				if (cury == y) {
					d = j + 1;
				}
			}
			break;
		}
		if (s[i] == 'U') {
			cury++;
		}
		else if (s[i] == 'D') {
			cury--;
		}
	}
	if (u == -1 && cury == y) {
		u = d = n;
	}

	if (l == -1 || r == -1 || d == -1 || u == -1) {
		cout << -1;
		return 0;
	}

	cout << l << ' ' << u << ' ' << r << ' ' << d;
	return 0;
}
