#include <iostream>
#include <cstdio>
#include <algorithm>
#include <cmath>
#include <vector>
#include "testlib.h"

using namespace std;

int x, y, n;
string s;

bool check(InStream &in) {
    int l = in.readInt(-1, n);
    
    if (l == -1) {
        in.readLine();
        in.readEof();
        return false;
    }
    
    int u = in.readInt(0, n);
    int r = in.readInt(0, n);
    int d = in.readInt(0, n);
    
    int curx = 0;
	int cury = 0;

	for (int i = 0; i < n; i++) {
		if (s[i] == 'L' && i + 1 <= l) {
			curx--;
		}
		else if (s[i] == 'R' && i + 1 <= r) {
			curx++;
		}
		else if (s[i] == 'U' && i + 1 <= u) {
			cury++;
		}
		else if (s[i] == 'D' && i + 1 <= d) {
			cury--;
		}
	}
	
	if (curx != x || cury != y) {
	    in.quitf(_wa, "Robot should finish at point %d %d, but he finished in point %d %d", x, y, curx, cury);
	}
	return true;
}

int main(int argc, char * argv[]) { 
	setName("check answer"); 
	registerTestlibCmd(argc, argv);

	//n = inf.readInt();
	
	/*x = ans.readInt();
	l = ouf.readInt(-1, n);

	if (x == -1) {
	    ouf.readEoln();
	    ouf.readEof();
		if (l == -1) {
			quitf(_ok, "answer is %d", x);
		}
		else {
			quitf(_wa, "answer is %d, but printed something else", x);
		}
	}

	u = ouf.readInt(0, n);
	r = ouf.readInt(0, n);
	d = ouf.readInt(0, n);
    */
    n = inf.readInt();
	s = inf.readWord();
	x = inf.readInt();
	y = inf.readInt();

	bool jans = check(ans);
	bool pans = check(ouf);
	
	if (jans && !pans) {
	    quitf(_wa, "Jury has an answer, but participant has not");
	}
	else if (pans && !jans) {
	    quitf(_wa, "Participant has an answer, but jury has not");
	}

    quitf(_ok, "OK");

	/*if (curx == x && cury == y) {
		quitf(_ok, "contestant found a good solution");
	}
	else {
		quitf(_wa, "robot should finish at point %d %d, but he finished in point %d %d", x, y, curx, cury);
	}*/


	return 0;
}
