#include "testlib.h"
#include <iostream>
#include <set>

using namespace std;

const long long inff = 1000000000;

vector<char> s;
string str;
vector<int> vx, vy;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n;
	int msk;
	sscanf(argv[1], "%lld", &n);
	sscanf(argv[2], "%lld", &msk);
	cout << n << endl;

	if (msk & 1) {
		s.push_back('L');
	}
	if (msk & 2) {
		s.push_back('U');
	}
	if (msk & 4) {
		s.push_back('R');
	}
	if (msk & 8) {
		s.push_back('D');
	}

	int curx = 0;
	int cury = 0;

	for (int i = 0; i < n; i++) {
		vx.push_back(curx);
		vy.push_back(cury);
		int c = rnd.next(0, (int)s.size() - 1);
		str += s[c];
		if (s[c] == 'L') {
			curx--;
		}
		else if (s[c] == 'U') {
			cury++;
		}
		else if (s[c] == 'R') {
			curx++;
		}
		else {
			cury--;
		}
	}
	vx.push_back(curx);
	vy.push_back(cury);

	int ax = vx[rnd.next(0, (int)vx.size() - 1)];
	int ay = vy[rnd.next(0, (int)vy.size() - 1)];
	
	curx = 0;
	cury = 0;

	int wasx = 0;
	int wasy = 0;

	for (int i = 0; i < str.length(); i++) {
		if (curx == ax) {
			wasx = 1;
		}
		if (cury == ay) {
			wasy = 1;
		}
		if (str[i] == 'R' && curx + 1 == ax && wasx) {
			str[i] = 'L';
		}
		else if (str[i] == 'L' && curx - 1 == ax && wasx) {
			str[i] = 'R';
		}
		else if (str[i] == 'U' && cury + 1 == ay && wasy) {
			str[i] = 'D';
		}
		else if (str[i] == 'D' && cury - 1 == ay && wasy) {
			str[i] = 'U';
		}
		if (str[i] == 'L') {
			curx--;
		}
		else if (str[i] == 'U') {
			cury++;
		}
		else if (str[i] == 'R') {
			curx++;
		}
		else {
			cury--;
		}
	}

	cout << str;

	cout << endl;

	cout << ax << ' ' << ay << endl;

	return 0;
}
