#include <iostream>
#include <cstdio>
#include <algorithm>
#include <cmath>
#include <vector>
#include <set>
#include "testlib.h"

using namespace std;

const int maxC = 1000 * 1000;

int n, x, y, maxn;
string s;

int main(int argc, char * argv[]) { 
    registerValidation(argc, argv);
    string gr = validator.group();
    if (gr == "sample-group") {
        maxn = 10;
    }
    else if (gr == "small-group") {
        maxn = 20;
    }
    else if (gr == "middle-group") {
        maxn = 500;
    }
    else if (gr == "large-group") {
        maxn = 1000 * 1000;
    } else {
        quitf(_fail, "incorrect group identifier");
    }
    n = inf.readInt(1, maxn, "n");
    inf.readEoln();
    s = inf.readWord();
    if (s.length() != n) {
		quitf(_fail, "incorrect length of the pressing string");
	}
    for (int i = 0; i < n; i++) {
		if (s[i] != 'L' && s[i] != 'R' && s[i] != 'U' && s[i] != 'D') {
			quitf(_fail, "incorrect character");
		}
	}
	
    inf.readEoln();

	x = inf.readInt(-maxC, maxC, "x");
	inf.readSpace();
	y = inf.readInt(-maxC, maxC, "y");
	
    inf.readEoln();

    inf.readEof();
}
